For the complete documentation index, see llms.txt. This page is also available as Markdown.

Download report content

Download report content

get
/tenants/{tenantUid}/organizations/{organizationUid}/reports/{reportUid}/download
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
reportUidstringRequired

Reference to a report.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
get/tenants/{tenantUid}/organizations/{organizationUid}/reports/{reportUid}/download
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/reports/{reportUid}/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Last updated

Was this helpful?